%define name gnome-ppp
%define version 0.3.23
%define release %mkrel 4
%define section Internet/Remote Access

Summary: Gnome 2 front-end to wvdial
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.gnome-ppp.org/download/0.3/%{name}-%{version}.tar.bz2
Source1: gnome-ppp.png
Source2: gnome-ppp-16.png
Source3: gnome-ppp-32.png
URL: http://www.gnome-ppp.org/
License: GPL
Group: System/Configuration/Networking
Requires: wvdial >= 1.54
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnome 2 front-end to wvDial, a modem/ISDN dial-up software.
%prep
%setup -q 

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir %{buildroot}/%{_datadir}/pixmaps && \
cp -r %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/ %{buildroot}/%{_datadir}/pixmaps/
#mv %{buildroot}/%{_datadir}/doc/%{name}-%{version} %{buildroot}/%{_datadir}/doc/%{name}
rm -rf %{buildroot}/%{_datadir}/doc/%{name}

%find_lang %{name} --with-gnome

# menu

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--add-category="Settings;Network" \
	--add-category="X-MandrivaLinux-System-Configuration-Networking" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)

%doc ChangeLog COPYING INSTALL

%{_bindir}/gnome-ppp
%{_datadir}/applications/gnome-ppp.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/glade/*
%{_datadir}/pixmaps/apps/%name.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/%name/gnome_ppp*.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png





%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.23-4mdv2011.0
+ Revision: 619108
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.3.23-3mdv2010.0
+ Revision: 429233
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.3.23-2mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Mar 09 2007 Emmanuel Andry <eandry@mandriva.org> 0.3.23-2mdv2007.1
+ Revision: 140266
- xdg
- %%mkrel
- Import gnome-ppp

* Thu Sep 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.3.23-1mdk
- 0.3.23

* Tue May 10 2005 Jerome Soyer <saispo@mandriva.org> 0.3.22-1mdk
- New release

* Thu Feb 17 2005 Jerome Soyer <saispo@mandrake.org> 0.3.21-1mdk
- 0.3.21

* Thu Feb 10 2005 Jerome Soyer <saispo@mandrake.org> 0.3.20-1mdk
- 0.3.20

* Fri Feb 04 2005 Jerome Soyer <saispo@mandrake.org> 0.3.19-1mdk
- 0.3.19

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.16-3mdk 
- rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3.16-2mdk
- Fix BuildRequires

* Fri Sep 24 2004 Jerome Soyer <saispo@mandrake.org> 0.3.16-1mdk
- 0.3.16
- Fix Menu

* Sun Aug 15 2004 Jerome Soyer <saispo@mandrake.org> 0.3.15-1mdk
- 0.3.15

* Wed Aug 11 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.14-2mdk
- fix icon/section/group

* Tue Aug 10 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.14-1mdk
- new version

* Sat Jun 05 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.2.1-2mdk
- Icons relocated to /usr/share/pixmaps.
- Improved description as deaddog suggested.

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.2.1-1mdk
First rpm for mandrake

